import { AfterContentChecked, AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { ModalCloseDirective } from '../../directives/modal-close.directive';
import { ModalContentDirective } from '../../directives/modal-content.directive';
import { ModalHandlerDirective } from '../../directives/modal-handler.directive';
import { ModalModel } from './modal.model';
export declare class ModalComponent implements AfterContentChecked, AfterViewInit, ModalModel, OnDestroy {
    static readonly defaultProps: ModalModel;
    modalContent: ModalContentDirective;
    modalHandler: ModalHandlerDirective;
    modalRef: ElementRef;
    modalContentRef: ElementRef;
    backdropRef: ElementRef;
    classNameInput: string;
    dismissOnBackdropInput: boolean;
    hasBackdropInput: boolean;
    hasCloseButtonInput: boolean;
    isOpenInput: boolean;
    transitionDurationInput: number;
    closeElements: Array<ModalCloseDirective>;
    className: string;
    dismissOnBackdrop: boolean;
    hasBackdrop: boolean;
    hasCloseButton: boolean;
    isOpen: boolean;
    transitionDuration: number;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterContentChecked(): void;
    ngOnDestroy(): void;
    initValues(): void;
    closeByBackdrop(event: Event): void;
    open(): void;
    close(): void;
}
